OJS OCS OMP OHS

You are viewing the PKP Support Forum | PKP Home Wiki



Problems installing from git repo

Are you responsible for making OJS work -- installing, upgrading, migrating or troubleshooting? Do you think you've found a bug? Post in this forum.

Moderators: jmacgreg, btbell, michael, bdgregg, barbarah, asmecher

Forum rules
What to do if you have a technical problem with OJS:

1. Search the forum. You can do this from the Advanced Search Page or from our Google Custom Search, which will search the entire PKP site. If you are encountering an error, we especially recommend searching the forum for said error.

2. Check the FAQ to see if your question or error has already been resolved.

3. Post a question, but please, only after trying the above two solutions. If it's a workflow or usability question you should probably post to the OJS Editorial Support and Discussion subforum; if you have a development question, try the OJS Development subforum.

Problems installing from git repo

Postby NateWr » Sun Jun 30, 2013 3:47 pm

I'm trying to set up a copy of OJS on a local WAMP server to check it out. I've got an up-to-date checkout of the master branch of the git repo. When I load index.php it's unable to find /lib/pkp/classes/search/SubmissionSearch.inc.php.

Code: Select all
Warning: require_once(C:\Program Files (x86)\wamp\www\ojs/lib/pkp/classes/search/SubmissionSearch.inc.php) [function.require-once]: failed to open stream: No such file or directory in C:\Program Files (x86)\wamp\www\ojs\lib\pkp\includes\functions.inc.php on line 24


Code: Select all
Fatal error: require_once() [function.require]: Failed opening required 'C:\Program Files (x86)\wamp\www\ojs/lib/pkp/classes/search/SubmissionSearch.inc.php' (include_path='.;C:\Program Files (x86)\wamp\www\ojs/classes;C:\Program Files (x86)\wamp\www\ojs/pages;C:\Program Files (x86)\wamp\www\ojs/lib/pkp;C:\Program Files (x86)\wamp\www\ojs/lib/pkp/classes;C:\Program Files (x86)\wamp\www\ojs/lib/pkp/pages;C:\Program Files (x86)\wamp\www\ojs/lib/pkp/lib/adodb;C:\Program Files (x86)\wamp\www\ojs/lib/pkp/lib/phputf8;C:\Program Files (x86)\wamp\www\ojs/lib/pkp/lib/pqp/classes;C:\Program Files (x86)\wamp\www\ojs/lib/pkp/lib/smarty;.;C:\php\pear') in C:\Program Files (x86)\wamp\www\ojs\lib\pkp\includes\functions.inc.php on line 24


I'd prefer to run the development branch rather than the last stable release, if possible. Any ideas on how I can make that happen?

My details:

Win7
Apache 2.2.21
PHP 5.3.8
MySQL 5.5.16

Code: Select all
$ git log
commit 1132d47cd05919c1ffc10f1952cfb849b6be8bc9
Author: Alec Smecher <alec@smecher.bc.ca>
Date:   Fri Jun 28 10:21:26 2013 -0700

    *8273* Missing locale load
NateWr
 
Posts: 4
Joined: Sun Jun 30, 2013 3:40 pm

Re: Problems installing from git repo

Postby asmecher » Mon Jul 01, 2013 8:24 am

Hi NateWr,

The master branch is currently only semi-stable -- and make sure that you have the HEAD of the lib/pkp submodule checked out, not necessarily the version tagged from the OJS master branch. If you intend to use this for production anytime soon, I'd suggest using the ojs-stable-2_4 branch instead.

Regards,
Alec Smecher
Public Knowledge Project Team
asmecher
 
Posts: 8597
Joined: Wed Aug 10, 2005 12:56 pm

Re: Problems installing from git repo

Postby NateWr » Mon Jul 01, 2013 9:15 am

asmecher wrote:and make sure that you have the HEAD of the lib/pkp submodule checked out, not necessarily the version tagged from the OJS master branch.


Ahh ok, it looks like I need to read up on git submodules. Is there a readable changelog anywhere showing what's been improved in the master branch since 2.4 or just the commit logs?
NateWr
 
Posts: 4
Joined: Sun Jun 30, 2013 3:40 pm

Re: Problems installing from git repo

Postby NateWr » Mon Jul 01, 2013 1:41 pm

Sorry, but I'm a bit confused about how this is supposed to be setup. I've cloned the pkp-lib repo and I'm trying to link it to the ojs repo as a submodule. I've already got a /lib/pkp/ directory in the master branch of the osj repo. So when I try to link the submodule I get the following:

Code: Select all
$ git submodule add "../pkp-lib" lib/pkp
'lib/pkp' already exists in the index

Am I supposed to throw the lib right in there on top of the osj repo like that? It doesn't seem like it would be possible to issue clean pull requests on the master branch that way. Or am I missing something?
NateWr
 
Posts: 4
Joined: Sun Jun 30, 2013 3:40 pm

Re: Problems installing from git repo

Postby asmecher » Mon Jul 01, 2013 8:24 pm

Hi NateWr,

Have you seen the instructions at http://pkp.sfu.ca/wiki/index.php/HOW-TO_check_out_PKP_applications_from_git?

Regards,
Alec Smecher
Public Knowledge Project Team
asmecher
 
Posts: 8597
Joined: Wed Aug 10, 2005 12:56 pm

Re: Problems installing from git repo

Postby NateWr » Tue Jul 02, 2013 2:30 am

I haven't, thanks. I'll give checkout.sh a shot.
NateWr
 
Posts: 4
Joined: Sun Jun 30, 2013 3:40 pm


Return to OJS Technical Support

Who is online

Users browsing this forum: Google [Bot] and 3 guests